Bug 123531 - ctrl, shift, alt cannot be passed through in IMKeyListEvent->keylist->keyCode with httx
ctrl, shift, alt cannot be passed through in IMKeyListEvent->keylist->keyCode...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: im-sdk (Show other bugs)
2
All Linux
medium Severity low
: ---
: ---
Assigned To: Yu Shao
: i18n
Depends On:
Blocks: IIIMF
  Show dependency treegraph
 
Reported: 2004-05-19 01:03 EDT by Lawrence Lim
Modified: 2014-03-25 20:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-27 00:14:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lawrence Lim 2004-05-19 01:03:46 EDT
Description of problem:  
xcin now has numerous mode which allows user to input TC using 
cangjie, pinyin or cantonese pinyin mode.  
 
Possible key now which works on both KDE and GNOME is 
Ctrl+Alt+(1-9). Ctrl-Shift is working in GNOME but not KDE. 
  
Version-Release number of selected component (if applicable):  
FC2 (stable) 
iiimf-server-11.4-43 
iiimf-le-xcin-0.1.5-1  
  
How reproducible:  
Always  
  
Steps to Reproduce:  
1. GDM select Traditional Chinese 
2. Log-in 
3. kedit 
    
Actual results:  
Nothing happens  
  
Expected results:  
Input Method mode changes for TC.  
  
Additional info:
Comment 1 Leon Ho 2004-06-07 02:47:16 EDT
It happens to other LEs with the shortcut keys with only
alt,ctrl,shift as well (like SunLE on switching IMs) on httx.

Reason being the ctrl,alt,shift does not consider as a 'key' in httx,
therefore it does not pass it through
IMKeyListEvent->keylist->keyCode. (ie. only pass them through
IMKeyListEvent->keylist->modifier).

If the LE is being used directly to htt, then it will be fine.
Comment 3 Lawrence Lim 2004-08-27 00:14:43 EDT
Confirmed fixed in rawhide 12.0.1-1.

Both iiimf-le-xcin and iiimf-le-chinput can use Ctrl-SPACE to swtich
between input mode.

Note You need to log in before you can comment on or make changes to this bug.